OpenZWave Library: Color.cpp File Reference

| OpenZWave Library 1.6.0

Enumerations | Functions
Color.cpp File Reference
`#include <iostream>`
`#include <iomanip>`
`#include "command_classes/CommandClasses.h"`
`#include "command_classes/Color.h"`
`#include "Defs.h"`
`#include "Msg.h"`
`#include "Node.h"`
`#include "Driver.h"`
`#include "platform/Log.h"`
`#include "value_classes/ValueInt.h"`
`#include "value_classes/ValueString.h"`
`#include "value_classes/ValueByte.h"`
`#include "tinyxml.h"`

## Enumerations
enum | ColorCmd { ColorCmd_Capability_Get = 0x01, ColorCmd_Capability_Report = 0x02, ColorCmd_Get = 0x03, ColorCmd_Report = 0x04, ColorCmd_Set = 0x05, ColorCmd_StartCapabilityLevelChange = 0x06, ColorCmd_StopStateChange = 0x07 }
enum | ColorIDX { COLORIDX_WARMWHITE, COLORIDX_COLDWHITE, COLORIDX_RED, COLORIDX_GREEN, COLORIDX_BLUE, COLORIDX_AMBER, COLORIDX_CYAN, COLORIDX_PURPLE, COLORIDX_INDEXCOLOR }
enum | ValueIDSystemIndexes { Value_Color = 0x00, Value_Color_Index = 0x01, Value_Color_Channels_Capabilities = 0x02, Value_Color_Duration = 0x03, Value_Lock = 0x00, Value_Lock_Mode = 0x01, Value_System_Config_Mode = 0x02, Value_System_Config_Minutes = 0x03, Value_System_Config_Seconds = 0x04, Value_System_Config_OutsideHandles = 0x05, Value_System_Config_InsideHandles = 0x06, Value_System_Config_MaxRecords = 0x00, Value_GetRecordNo = 0x01, Value_LogRecord = 0x02 }

## Functions
uint16 | GetColor (string rgbstring, uint8 const position)

## Enumeration Type Documentation

## ◆ ColorCmd

enum ColorCmd

Enumerator
ColorCmd_Capability_Get |
ColorCmd_Capability_Report |
ColorCmd_Get |
ColorCmd_Report |
ColorCmd_Set |
ColorCmd_StartCapabilityLevelChange |
ColorCmd_StopStateChange |

## ◆ ColorIDX

enum ColorIDX

Enumerator
COLORIDX_WARMWHITE |
COLORIDX_COLDWHITE |
COLORIDX_RED |
COLORIDX_GREEN |
COLORIDX_BLUE |
COLORIDX_AMBER |
COLORIDX_CYAN |
COLORIDX_PURPLE |
COLORIDX_INDEXCOLOR |

## ◆ ValueIDSystemIndexes

enum ValueIDSystemIndexes

Enumerator
Value_Color |
Value_Color_Index |
Value_Color_Channels_Capabilities |
Value_Color_Duration |
Value_Lock |
Value_Lock_Mode |
Value_System_Config_Mode |
Value_System_Config_Minutes |
Value_System_Config_Seconds |
Value_System_Config_OutsideHandles |
Value_System_Config_InsideHandles |
Value_System_Config_MaxRecords |
Value_GetRecordNo |
Value_LogRecord |

## Function Documentation

## ◆ GetColor()

uint16 GetColor | ( | string | rgbstring,
|  | uint8 const | position
| ) |  |